Skip to main content
PUT
/
api
/
v1
/
whatsapp-accounts
/
{id}
/
proxy
/
{path}
cURL
curl --request PUT \
  --url https://backend.wassist.app/api/v1/whatsapp-accounts/{id}/proxy/{path}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "waId": "<string>",
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "waId": "<string>",
  "phoneNumbers": "<string>",
  "templatesUrl": "<string>",
  "name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.wassist.app/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint lets you proxy a PUT request to the Official WhatsApp Business API. You will be authenticated to the whatsapp account you are proxying for. Look to the WhatsApp Business API documentation for more information on the available endpoints.

Authorizations

X-API-Key
string
header
required

API key authentication. Pass your API key in the X-API-Key header.

Path Parameters

id
string
required
path
string
required
Pattern: ^.+$

Body

application/json
waId
string
required
name
string | null
Maximum string length: 255

Response

200 - application/json
id
string<uuid>
required
read-only
waId
string
required
phoneNumbers
string
required
read-only
templatesUrl
string
required
read-only
name
string | null
Maximum string length: 255